Subject: bug#21582: 25.0.50; WindowsXP GEN ../../info/elisp.info in @synindex.Uninown index `cp' and/or `fn

From: Keith David Bershatsky <[email-masked]>
Date: Mon, 28 Sep 2015 12:12:25 -0700

I am learning how to build Emacs on WindowsXP and have encountered the following error when trying to build the most recent master branch / trunk:

The first problem I had was with `./autogen.sh`, which was fixed by running:

dos2unix configure.ac

Then, I configured with just the basic:

./configure --prefix=/c/docume~1/lawlist/desktop/trunk

Everything appeared to be going well and I though I was near the end of the `make` process, but then I received the following error:

***
Scanning ./url for finder
Scanning ./vc for finder
make[1]: Leaving directory `/c/docume~1/lawlist/desktop/emacs/lisp'
make info-real info-dir
make[1]: Entering directory `/c/docume~1/lawlist/desktop/emacs'
make -C doc/lispref info
make[2]: Entering directory `/c/docume~1/lalwist/desktop/emacs/doc/lispref'
/bin/mkdir -p ../../info
GEN ../../info/elisp.info
' in @synindex.Uninown index `cp' and/or `fn
' in @synindex.Uninown index `vr' and/or `fn
' in @synindex.Uninown index `ky' and/or `fn
' in @synindex.Uninown index `pg' and/or `fn
make[2]: *** [../../info/elisp.info] Error 1
make[2]: Leaving directory `/c/docume~1/lawlist/desktop/emacs/doc/lispref'
make[1]: *** [lispref-info] Error 2
make[1]: Leaving directory `/c/docume~1/lawlist/desktop/emacs'
make:  *** [info] Error 2

Any ideas on how to get passed this next hurdle would be greatly appreciated.

Thanks

Keith